/* clock */
.anim-pulse {
	animation: anim-pulse 2s ease-in-out infinite both;
}
@keyframes anim-pulse {
  0% {
    opacity: 1;
  }
  50% {
    opacity: 0.2;
  }
  100% {
    opacity: 1;
  }
}

/* indicator */
.anim-indic-pulse {
  animation: anim-indic-pulse 1s ease-in-out infinite both;
}
@keyframes anim-indic-pulse {
  0% {
    opacity: 1;
  }
  50% {
    opacity: 0.25;
  }
  100% {
    opacity: 1;
  }
}

.anim-green-pulse {
	animation: green-pulse 1s 1
}
@keyframes green-pulse {
    0% {
        box-shadow:0 0 0 0 #21874860
    }
    100% {
        box-shadow:0 0 0 20px #21874800
    }
}

/* breaks */
.anim-pulse-minor {
	animation: anim-pulse-minor 2s ease-in-out infinite both;
}
@keyframes anim-pulse-minor {
  0% {
    opacity: 1;
  }
  50% {
    opacity: 0.6;
  }
  100% {
    opacity: 1;
  }
}

.anim-pulse-minor-late {
	animation: anim-pulse-minor-late 1s ease-in-out infinite both;
}
@keyframes anim-pulse-minor-late {
  0% {
    opacity: 1;
  }
  50% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

.anim-blink {
  animation: anim-blink 0.4s step-start 0s infinite;
}
@keyframes anim-blink {
  50% {
    opacity: 0.0;
  }
}

/* ending/starting soon */
.anim-pulse-badge-endstart-soon span.status-badge {
	animation: anim-pulse-badge-endstart-soon 5s ease-in-out infinite both;
}

@keyframes anim-pulse-badge-endstart-soon {
	0% {
		opacity: 1;
	}
	70% {
		opacity: 1;
	}
	80% {
		opacity: 0;
	}
	100% {
		opacity: 1;
	}
}


.eos-imminent {
        animation: anim-flash 5s ease-in-out infinite both;
}

.eos-imminent-crit {
        animation: anim-flash 1s ease-in-out infinite both;
}

@keyframes anim-flash {
        0% {
                opacity: 1;
        }
        80% {
                opacity: 1;
        }
        81% {
                opacity: 0;
        }
        100% {
                opacity: 0;
        }
}

@keyframes anim-flash-crit {
        0% {
                opacity: 1;
        }
        50% {
                opacity: 1;
        }
        51% {
                opacity: 0;
        }
        100% {
                opacity: 0;
        }
}




